Index: /extensions/netinstall/trunk/language/gl_ES/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/gl_ES/iso.txt	(revision 21192)
+++ /extensions/netinstall/trunk/language/gl_ES/iso.txt	(revision 21192)
@@ -0,0 +1,1 @@
+Galego [ES]
Index: /extensions/netinstall/trunk/language/gl_ES/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 21192)
+++ /extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 21192)
@@ -0,0 +1,63 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'Benvido a NetInstall!';
+$lang['Language'] = 'Language';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Esta ferramenta destínase a recuperar o último ficheiro Piwigo e descomprimilo no seu sitio web.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Despois será redirixido cara o asistente de configuración Piwigo.';
+
+$lang['Write access is needed'] = 'Precísanse dereitos de escritura';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'NetInstall non pode escribir no actual cartafol, isto  é requirido para continuar.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Trata de mudar os permisos de escritura e logo recarga esta páxina premendo no botón Actualizar.';
+$lang['Refresh'] = 'Actualizar';
+
+$lang['PHP 5 is required'] = 'Requírese PHP 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu aloxamento web está a executar a versión de PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall pode tratar de mudar a túa configuración a PHP 5 a traveso da creación ou modificación do ficheiro .htaccess.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Ten en conta que podes mudar ti mesmo a configuración e reiniciar NetInstall despois delo.';
+$lang['Try to configure PHP 5'] = 'Intentar configurar PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Recuperar e descomprimir Piwigo';
+$lang['Destination:'] = 'Destino:';
+
+$lang['Sorry!'] = 'Síntoo!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall non foi quen de configurar PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Debes poñerte en contacto con teu provedor do aloxamento para ver como poder mudar a PHP 5.";
+$lang['Hope to see you back soon.'] = 'Esperamos verte de volta pronto.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Parece que aínda está no espazo unha versión de Piwigo anterior.';
+$lang['You need to rename or remove it before we can go further...'] = 'Para poder continuar, antes debes renomeala ou eliminada...';
+$lang['Needed files are not present.'] = 'Faltan ficheiros necesarios.';
+$lang['Invalid zip file.'] = 'Ficheiro zip non válido.';
+$lang['It seems that the zip file was not extracted.'] = 'Parece que non se extraeu o ficheiro zip.';
+
+$lang['Congratulations!'] = 'Parabéns!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Todo foi ben. Agora xa estás preparado para iniciar o procedemento de instalación.';
+$lang['Install Piwigo now'] = 'Instalar Piwigo agora';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Produciuse un erro ó obter os ficheiros necesarios para ir adiante.';
+$lang['Something went wrong...'] = 'Algo foi mal...';
+$lang['What are you doing here that way ?!'] = 'Que estás a facer aquí?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Este instalador inicialmente foi codificado para <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Grazas!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Precisas axuda? formula a túa cuestión no <a href=\"%s\">foro de Piwigo</a>.";
Index: /extensions/netinstall/trunk/language/nb_NO/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/nb_NO/iso.txt	(revision 21192)
+++ /extensions/netinstall/trunk/language/nb_NO/iso.txt	(revision 21192)
@@ -0,0 +1,1 @@
+Norwegian [NO]
Index: /extensions/netinstall/trunk/language/nb_NO/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 21192)
+++ /extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 21192)
@@ -0,0 +1,61 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NettInstall';
+$lang['Welcome to NetInstall!'] = 'Velkommen til NettInstall!';
+$lang['Language'] = 'Språk';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] ='Dette verktøyet gjør at man får de siste Piwigo arkivene som du kan pakke ut på dit nettsted.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] ='Umidddelbart vil du bli videresendt til Piwigo Setup veiledningen.';
+
+$lang['Write access is needed'] = 'Skrive tilgang kreves';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] ='Det kan se ut som om NetInstall ikke er i stand til å skrive til gjeldende mappe, dette må kunne gjøres for å fortsette installasjonen.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Vennligst prøv å endre rettighetene for å tillate skrive tilgang, Deretter kan du relaste denne siden ved å klikke på oppdater knappen i nettleser.';
+$lang['Refresh'] = 'Refresh';
+
+$lang['PHP 5 is required'] = 'PHP 5 kreves';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Det ser ut til at din web leverandør kjører PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] ='NetInstall kan prøve å bytte din konfigurasjon til 5 ved å lage eller endre en .htaccess fil.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Noter; du kan endre komfigurasjonen din selv og restarte NetInstall etterpå.';
+$lang['Try to configure PHP 5'] = 'Prøv å konfigurere PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Motta og pakk ut Piwigo';
+$lang['Destination:'] = 'Mål:';
+
+$lang['Sorry!'] = 'Sorry!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall kunne ikke konfigurere PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] ="Du kan se på din leverandørs hjelpesider, og sjekke om du kan endre til PHP 5 på egenhånd.";
+$lang['Hope to see you back soon.'] = 'Håper å se deg snarlig tilbake.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] ='Det kan se ut som en tidligere installasjon av Piwigo fortsatt ligger på denne plassen.';
+$lang['You need to rename or remove it before we can go further...'] = 'Du må endre navn eller fjerne dette før du kan gå videre...';
+$lang['Needed files are not present.'] = 'Nødvendige filer er ikke tilstede.';
+$lang['Invalid zip file.'] = 'Ugyldig/ødelagt zip fil.';
+$lang['It seems that the zip file was not extracted.'] = 'Det kan se ut som om zip filen ikke ble pakket ut.';
+
+$lang['Congratulations!'] = 'Gratulerer!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alt gikk som det skulle. Du er nå klar til å starte installasjons prosedyren.';
+$lang['Install Piwigo now'] = 'Installer Piwigo nå';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'En feil oppstod ved henting av de nødvendige filene for å gå videre.';
+$lang['Something went wrong...'] = 'Noe gikk skikkelig feil ...';
+$lang['What are you doing here that way ?!'] = 'HVorfor har du gjort det på denne måten ?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Dette installasjonsprogrammet var i utgangspunktet kodet for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Mange takk!';
Index: /extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21191)
+++ /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21192)
@@ -31,4 +31,9 @@
   'ru_RU' => 'Русский [RU]',
   'lv_LV' => 'Latviešu [LV]',
+  'da_DK' => 'Dansk [DK]',
+  'gl_ES' => 'Galego [ES]',
+  'nb_NO' => 'Norwegian [NO]',
+  'nl_NL' => 'Nederlands [NL]',
+  'uk_UA' => 'Українська [UA]',
 );
 