Index: /extensions/netinstall/trunk/language/sk_SK/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/sk_SK/iso.txt	(revision 21193)
+++ /extensions/netinstall/trunk/language/sk_SK/iso.txt	(revision 21193)
@@ -0,0 +1,1 @@
+Slovensky [SK]
Index: /extensions/netinstall/trunk/language/sk_SK/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 21193)
+++ /extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 21193)
@@ -0,0 +1,63 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo Sieťová inštalácia';
+$lang['Welcome to NetInstall!'] = 'Vitajte v Sieťovej inštalácii!';
+$lang['Language'] = 'Jazyk';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Tento nástroj slúži na opätovné získanie ostatného Piwigo archívu a jeho rozbalenie vo Vašom webovom priestore.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Potom budete presmerovaný na Piwigo Setup Wizard.';
+
+$lang['Write access is needed'] = 'Je potrebný prístup na zapisovanie';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Vyzerá to, že Sieťová inštalácia obyčajne je schopná zapisovať do príslušného adresára a to je potrebné pre pokračovanie.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Prosím pokúste sa zmeniť prístupové práva na povolenie zápisu, potom obnovte túto stránku kliknutím na Obnovovacie tlačidlo.';
+$lang['Refresh'] = 'Obnoviť';
+
+$lang['PHP 5 is required'] = 'PHP 5 je potrebné';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Zdá sa, že Váš webhosting beží na PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Sieťová inštalácia NetInstall sa môže pokúsiť prepnúť Vašu konfiguráciu na PHP 5 vytvorením alebo modifikovaním .htaccess súboru.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Môžete zmeniť Vašu konfiguráciu podľa seba a reštartovať  potom Sieťovú inštaláciu.';
+$lang['Try to configure PHP 5'] = 'Pokúsiť sa nakonfigurovať PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Stiahnuť a rozbaliť Piwigo';
+$lang['Destination:'] = 'Cieľové miesto:';
+
+$lang['Sorry!'] = 'Prepáčte!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'Sieťová inštalácia nemohla nakonfigurovať PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Oznámte to Vášmu hostingovému prevádzkovateľovi a zistite, ako sa môžete svojpomocne prepnúťwitch na PHP 5.";
+$lang['Hope to see you back soon.'] = 'Dúfame, že Vás čoskoro uvidíme späť.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Zdá sa, že predchádzajúca verzia Piwigo inštalácie je stále na tomto mieste.';
+$lang['You need to rename or remove it before we can go further...'] = 'Musíte ju premenovať, alebo vymazať pred ďalšou inštaláciou...';
+$lang['Needed files are not present.'] = 'Potrebné súbory chýbajú.';
+$lang['Invalid zip file.'] = 'Chybný zip súbor.';
+$lang['It seems that the zip file was not extracted.'] = 'Vyzerá to, že zip súbor nebol rozbalený.';
+
+$lang['Congratulations!'] = 'Gratulujeme!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Všetko prebehlo v poriadku. Ste pripravený spustiť inštalačnú procedúru.';
+$lang['Install Piwigo now'] = 'Inštalovať Piwigo teraz';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Vyskytla sa chyba pri inštalovaní potrebných súborov.';
+$lang['Something went wrong...'] = 'Niečo je zlé...';
+$lang['What are you doing here that way ?!'] = 'Čo tu robíš?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Tento nahrávač bol vytvorený pre <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Ďakujeme!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Potrebujete pomoc? Posielajte Vaše otázky na <a href=\"%s\">Piwigo message board</a>.";
Index: /extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21192)
+++ /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21193)
@@ -19,32 +19,36 @@
 
 $available_languages = array(
+  'cs_CZ' => 'Česky [CZ]',
+  'da_DK' => 'Dansk [DK]',
+  'de_DE' => 'Deutch [DE]',
   'en_UK' => 'English [UK]',
+  'es_ES' => 'Español [ES]',
   'fr_FR' => 'Français [FR]',
-  'es_ES' => 'Español [ES]',
+  'gl_ES' => 'Galego [ES]',
+  'hu_HU' => 'Magyar [HU]',
   'it_IT' => 'Italiano [IT]',
-  'de_DE' => 'Deutch [DE]',
-  'pl_PL' => 'Polski [PL]',
-  'zh_CN' => '简体中文 [CN]',
-  'cs_CZ' => 'Česky [CZ]',
-  'hu_HU' => 'Magyar [HU]',
-  'tr_TR' => 'Türkçe [TR]',
-  'ru_RU' => 'Русский [RU]',
   'lv_LV' => 'Latviešu [LV]',
-  'da_DK' => 'Dansk [DK]',
-  'gl_ES' => 'Galego [ES]',
   'nb_NO' => 'Norwegian [NO]',
   'nl_NL' => 'Nederlands [NL]',
+  'pl_PL' => 'Polski [PL]',
+  'ru_RU' => 'Русский [RU]',
+  'sk_SK' => 'Slovensky [SK]',
+  'tr_TR' => 'Türkçe [TR]',
   'uk_UA' => 'Українська [UA]',
+  'zh_CN' => '简体中文 [CN]',
 );
 
 $url_subdomain_for_language = array(
+  'da_DK' => 'da',
+  'de_DE' => 'de',
+  'es_ES' => 'es',
   'fr_FR' => 'fr',
-  'es_ES' => 'es',
   'it_IT' => 'it',
-  'de_DE' => 'de',
+  'hu_HU' => 'hu',
+  'nl_NL' => 'nl',
   'pl_PL' => 'pl',
+  'tr_TR' => 'tr',
+  'ru_RU' => 'ru',
   'zh_CN' => 'cn',
-  'hu_HU' => 'hu',
-  'ru_RU' => 'ru',
   );
 