Index: /extensions/stripped/template/comment_list.tpl
===================================================================
--- /extensions/stripped/template/comment_list.tpl	(revision 21214)
+++ /extensions/stripped/template/comment_list.tpl	(revision 21215)
@@ -40,6 +40,8 @@
 					</div>
 				{/if}
-				<span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
-				{if isset($comment.IN_EDIT)}
+        <span class="commentAuthor">{if $comment.WEBSITE_URL}<a href="{$comment.WEBSITE_URL}" class="external" target="_blank" rel="nofollow">{$comment.AUTHOR}</a>{else}{$comment.AUTHOR}{/if}</span>
+          {if $comment.EMAIL}- <a href="mailto:{$comment.EMAIL}">{$comment.EMAIL}</a>{/if}
+          - <span class="commentDate">{$comment.DATE}</span>
+        {if isset($comment.IN_EDIT)}
 					<a name="edit_comment"></a>
 					<form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
@@ -47,4 +49,6 @@
 							<legend>{'Edit a comment'|@translate}</legend>
 							<label><textarea name="content" id="contenteditid" rows="4" cols="80">{$comment.CONTENT|@escape}</textarea></label>
+              <p><label for="website_url">{'Website'|@translate} :</label></p>
+              <p><input type="text" name="website_url" id="website_url" value="{$comment.WEBSITE_URL}" size="40"></p>
 							<input type="hidden" name="key" value="{$comment.KEY}">
 							<input type="hidden" name="pwg_token" value="{$comment.PWG_TOKEN}">
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 21214)
+++ /extensions/stripped/template/picture.tpl	(revision 21215)
@@ -352,13 +352,19 @@
 								<h4>{'Add a comment'|@translate}</h4>
 								<form  method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment" >
-									{if $comment_add.SHOW_AUTHOR}
-										<p><label>{'Author'|@translate}&nbsp;:</label></p>
-										<p><input type="text" name="author" /></p>
-									{/if}
-									<p><label>{'Comment'|@translate}&nbsp;:</label></p>
-									<p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
-									<p><input type="hidden" name="key" value="{$comment_add.KEY}" />
-									   <input class="submit" type="submit" value="{'Submit'|@translate}"></p>
-								</form>
+                  {if $comment_add.SHOW_AUTHOR}
+                    <p><label for="author">{'Author'|@translate}{if $comment_add.AUTHOR_MANDATORY} ({'mandatory'|@translate}){/if} :</label></p>
+                    <p><input type="text" name="author" id="author" value="{$comment_add.AUTHOR}"></p>
+                  {/if}
+                  {if $comment_add.SHOW_EMAIL}
+                    <p><label for="email">{'Email'|@translate}{if $comment_add.EMAIL_MANDATORY} ({'mandatory'|@translate}){/if} :</label></p>
+                    <p><input type="text" name="email" id="email" value="{$comment_add.EMAIL}"></p>
+                  {/if}
+                  <p><label for="website_url">{'Website'|@translate} :</label></p>
+                  <p><input type="text" name="website_url" id="website_url" value="{$comment_add.WEBSITE_URL}"></p>
+                  <p><label for="contentid">{'Comment'|@translate} ({'mandatory'|@translate}) :</label></p>
+                  <p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
+                  <p><input type="hidden" name="key" value="{$comment_add.KEY}">
+                    <input class="submit" type="submit" value="{'Submit'|@translate}"></p>
+                </form>
 							</div>
 						{/if}
Index: /extensions/stripped/template/stuffs_thumbnails.tpl
===================================================================
--- /extensions/stripped/template/stuffs_thumbnails.tpl	(revision 21215)
+++ /extensions/stripped/template/stuffs_thumbnails.tpl	(revision 21215)
@@ -0,0 +1,7 @@
+{assign var='thumbnails' value=$block.thumbnails}
+{assign var='derivative_params' value=$block.derivative_params}
+
+
+<ul class="thumbnails stuffs_block_{$block.ID}" id="thumbnails">
+{include file='thumbnails.tpl'|@get_extent:'index_thumbnails'}
+</ul>
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 21214)
+++ /extensions/stripped/theme.css	(revision 21215)
@@ -993,5 +993,5 @@
 
 #comments > ul > li {
-	display:block;
+	display:inline-block;
 	width:99%;
 	margin:10px auto;
@@ -1037,5 +1037,4 @@
 	width:auto;
 	display:block;
-	height:140px;
 	overflow:hidden;
 	padding-right:5px;