Index: /extensions/netinstall/trunk/language/pt_BR/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/pt_BR/iso.txt	(revision 21219)
+++ /extensions/netinstall/trunk/language/pt_BR/iso.txt	(revision 21219)
@@ -0,0 +1,1 @@
+Brasil [BR]
Index: /extensions/netinstall/trunk/language/pt_BR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 21219)
+++ /extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 21219)
@@ -0,0 +1,63 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - uma galeria de fotos baseado em PHP                          |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// |Este programa é software livre, você pode redistribuí-lo e/ou modificar|
+// |-lo sob os termos da GNU General Public License como publicado pela    |
+// | Free Software Foundation                                              |
+// |                                                                       |
+// | Este programa é distribuído na esperança que possa ser útil, mas      |
+// | SEM QUALQUER GARANTIA, sem mesmo a garantia implícita de              |
+// | COMERCIALIZAÇÃO ou ADEQUAÇÃO PARA UM DETERMINADO PROPÓSITO. Veja a GNU|
+// | General Public License para mais detalhes.                            |
+// |                                                                       |
+// | Você deve ter recebido uma cópia da GNU General Public License        |
+// | Junto com este programa, se não, escreva para a Free Software         |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | EUA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'Bem-vindo ao NetInstall!';
+$lang['Language'] = 'Idioma';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Esta ferramenta destina-se a recuperar o mais recente arquivo Piwigo e descompactá-lo em seu espaço web.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Logo em seguida, você será redirecionado para o Assistente de Instalação Piwigo.';
+
+$lang['Write access is needed'] = 'Acesso a gravação é necessária';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Parece que NetInstall não será capaz de escrever no diretório atual, e isto é obrigatório para seguir em frente.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Por favor, tente alterar as permissões para permitir acesso de gravação, em seguida, recarregue a página clicando no botão Atualizar.';
+$lang['Refresh'] = 'Atualizar';
+
+$lang['PHP 5 is required'] = 'É necessário PHP 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu site está sendo executado em PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall pode tentar mudar sua configuração para o PHP 5, criando ou modificando um arquivo .htaccess.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Note que você pode mudar a sua configuração por si mesmo e reiniciar NetInstall depois disto.';
+$lang['Try to configure PHP 5'] = 'Tente configurar o PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Recuperar e descompactar Piwigo';
+$lang['Destination:'] = 'Destino:';
+
+$lang['Sorry!'] = 'Desculpe!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall não foi capaz de configurar o PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Você pode entrar em contato com o seu provedor de hospedagem e ver como você pode alternar  o PHP 5, por si mesmo.";
+$lang['Hope to see you back soon.'] = 'Esperamos vê-lo de volta em breve.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Parece que uma instalação Piwigo anterior ainda está neste espaço.';
+$lang['You need to rename or remove it before we can go further...'] = 'Você precisa renomear ou remover antes que possamos ir adiante...';
+$lang['Needed files are not present.'] = 'Arquivos necessários não estão presentes.';
+$lang['Invalid zip file.'] = 'Arquivo Zip inválido.';
+$lang['It seems that the zip file was not extracted.'] = 'Parece que o arquivo zip não foi extraído.';
+
+$lang['Congratulations!'] = 'Parabéns!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Tudo correu bem. Agora você está pronto para iniciar o procedimento de instalação.';
+$lang['Install Piwigo now'] = 'Instale agora o Piwigo';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Ocorreu um erro ao pegar os arquivos necessários para continuar.';
+$lang['Something went wrong...'] = 'Algo deu errado ...';
+$lang['What are you doing here that way ?!'] = 'O que você está fazendo aqui desse jeito ?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Este carregador foi inicialmente codificado para <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Obrigado!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Precisa de ajuda? Faça sua pergunta em <a href=\"%s\">Forúm de mensagens do Piwigo</a>.";
Index: /extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21218)
+++ /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21219)
@@ -32,4 +32,5 @@
   'nl_NL' => 'Nederlands [NL]',
   'pl_PL' => 'Polski [PL]',
+  'pt_BR' => 'Brasil [BR]',
   'ru_RU' => 'Русский [RU]',
   'sk_SK' => 'Slovensky [SK]',