Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 21220)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 21221)
@@ -875,4 +875,44 @@
 $lang['create a new site'] = 'tạo ra một site mới';
 $lang['custom'] = 'Tùy chỉnh';
+$lang['Delete multiple size images'] = 'Xóa những hình đa kích cỡ';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam là một phần mềm quản lý ảnh kỹ thuật số miễn phí và tiên tiến cho các hệ điều hành Linux, Windows và MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam được thiết kế cho các nhiếp ảnh gia trong việc duyệt ảnh, quản lý ảnh, biên tập, cải tiến chất lượng ảnh, tổ chức và chia sẻ ảnh.';
+$lang['Duplicate selected tags'] = 'Nhân đôi thẻ đã chọn';
+$lang['Duplicate'] = 'Nhân đôii';
+$lang['Edit photo'] = 'Chỉnh sửa ảnh';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Những tính năng gồm có duyệt thư viện ảnh, tạo album ảnh và tải ảnh.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Đối với ảnh điều chỉnh kích thước bằng cách xén ảnh, như "Hình vuông", Piwigo sẽ cố tập trung phần nổi bật nhất vào ngay trong ảnh.';
+$lang['Generate multiple size images'] = 'Tạo ra những ảnh đa kích cỡ';
+$lang['Groups and users'] = 'Nhóm người dùng và người dùng';
+$lang['include photos with lower privacy level'] = 'bao gồm những ảnh với múc độ riêng tư thấp';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto là chương trình quản lý ảnh mặc định trong MacOSX. Plugin xuất ảnh của Piwwigo cho phép bạn tạo ra album mới và xuất ảnh trực tiếp từ iPhoto đến thư viện ảnh Piwigocủa bạn.';
+$lang['Landscape'] = 'Phong cảnh';
+$lang['Manage photos'] = 'Quản lý ảnh';
+$lang['Manage the members'] = 'Quản lý thành viên';
+$lang['Merge selected groups'] = 'Trộn chung các nhóm được chọn';
+$lang['middle'] = 'giữa';
+$lang['Minimum width'] = 'Bề rộng tối thiểu';
+$lang['Minimum height'] = 'Chiều cao tối thiểu';
+$lang['Multiple Size'] = 'Đa kích thước';
+$lang['Name of the duplicate'] = 'Tên của phần trùng lặp';
+$lang['No group is permitted to see this private album'] = 'Không nhóm nào được phép xem album loại riêng tư';
+$lang['No group selected, no action possible.'] = 'Không nhóm nào được chọn, không thể thực thi được tác vụ nào.';
+$lang['No members to manage'] = 'Không có thành viên nào để quản lý';
+$lang['No order field selected'] = 'Không có tham số vị trí nào được chọn';
+$lang['Number of albums per page'] = 'Số album ảnh trên một trang';
+$lang['Numeric identifier : %d'] = 'Ký hiệu nhận dạng số : %d';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Trong Linux, đơn giản chỉ cài đặt Shotwell bằng ứng dụng quản lý gói cài đặt và kích hoạt tùy chọn xuất bản ảnh Piwigo.';
+$lang['Opacity'] = 'Làm mờ';
+$lang['Original file : %s'] = 'Tệp tin gốc : %s';
+$lang['Panorama'] = 'Toàn cảnh';
+$lang['Permission granted for groups'] = 'Quyền hạn được cấp cho nhóm';
+$lang['Permission granted for users'] = 'Quyền hạn được cấp cho người dùng';
+$lang['Permission management'] = 'Quản lý quyền hạn';
+$lang['Photo sizes with crop'] = 'Ảnh được điều chỉnh kích cỡ bằng cách xén ảnh';
+$lang['Piwigo export plugin for Aperture'] = 'Plugin xuất ảnh của Piwigo cho Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Plugin xuất ảnh của Piwigo cho iPhoto';
+$lang['Piwigo publish plugin for digiKam'] = 'Plugin xuất ảnh của Piwigo cho digiKam';
+$lang['Piwigo publish plugin for Shotwell'] = 'Plugin xuất ảnh của Piwigo cho Shotwell';
+$lang['Please select at least two groups'] = 'Hãy chọn ít nhất 2 nhóm';
 
 ?>