Index: /extensions/UserAdvManager/trunk/language/it_IT/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/help.lang.php	(revision 21225)
+++ /extensions/UserAdvManager/trunk/language/it_IT/help.lang.php	(revision 21226)
@@ -46,6 +46,6 @@
 - Nickname obbligatorio per i commenti degli ospiti<br>
 ...';
-$lang['UAM_remailtxt1Title'] = 'Ricorda email con generazione nuove chiavi';
-$lang['UAM_remailtxt2Title'] = 'Ricorda email senza generazione nuove chiavi';
+$lang['UAM_remailtxt1Title'] = 'Promemoria email con generata nuova chiave';
+$lang['UAM_remailtxt2Title'] = 'Promemoria email senza generare nuova chiave';
 $lang['UAM_tipsTitle_d'] = 'Suggerimenti e vari esempi d\'uso';
 $lang['UAM_USRAutoMailTitle_d'] = 'Quando attivata, questa funzione invierà automaticamente agli utenti che corrispondono ai criteri un contenuto personalizzato nelle &quot;email di reminder con la nuova chiave generata&quot;';
@@ -65,5 +65,5 @@
 Inserisci qui il testo che appare in questa e-mail.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -109,5 +109,5 @@
 <b><u>prima</u></b> delle informazioni standard.
 <br><br>
-Personalizzare ulteriormente il contenuto con tag inseriti speciali:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.
@@ -137,5 +137,5 @@
 $lang['UAM_GTAutomail_Text_d'] = 'Inserisci il testo personalizzato che spiega anche la ragione della retrocessione, per accompagnare il link di conferma. Il testo personalizzato non è obbligatorio ma fortemente consigliato. Infatti, i vostri visitatori non apprezzeranno di ricevere una e-mail che contiene solamente un unico collegamento senza ulteriori spiegazioni. ;-)
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione della e-mail. <br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -145,5 +145,5 @@
 $lang['UAM_GTAutoDelTitle_d'] = 'Questo è valido solo quando l\'utente il cui account è scaduto e si innesca il meccanismo di eliminazione (raro ma possibile). Egli verrà disconnesso dalla galleria e reindirizzato a una pagina che mostra la cancellazione del suo account ed, eventualmente, le motivazioni di questa cancellazione.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.<br>
@@ -151,7 +151,14 @@
 <br><br>
 Testo personalizzato per il reindirizzamento pagina può essere inserito in questo campo che è compatibile con l\'editor FCK e per il multi-lingue, è possibile utilizzare i tag [lang] del plugin Extended description, se ​​è attivo.';
+<br><br>
+Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.<br>
+<b style=&quot;color: red;&quot;>[username]</b> non è disponibile qui perché l\'utente in questione è stato cancellato.
+<br><br>
+Testo personalizzato per il reindirizzamento pagina può essere inserito in questo campo che è compatibile con l\'editor FCK e per il multi-lingue, è possibile utilizzare i tag [lang] del plugin Extended description, se ​​è attivo.';
 $lang['UAM_confirmtxtTitle_d'] = 'Inserire il testo introduttivo che si desidera visualizzare nella email di conferma della registrazione.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -160,6 +167,19 @@
 <br><br>
 Per utilizzare più lingue, è possibile utilizzare i tag del plugin Extended description se è attivo.';
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nelle opzioni di configurazione di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> per inserire il numero di giorni limite per confermare una registrazione (&quot;Termine per la conferma della registrazione limitata;&quot; deve essere attivato).
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare i tag del plugin Extended description se è attivo.';
 $lang['UAM_confirmmail_custom2_d'] = 'Quando l\'opzione &quot;Conferma Registrazione&quot; è attiva, questo campo consente di personalizzare il <b><u>rejectance text</u></b> nella pagina di conferma di registrazione visualizzata quando l\'utente clicca sul link di conferma ricevuto via e-mail.
 <br><br>
+Per installare il plugin, un testo standard è dato a titolo di esempio.
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il relativo nome utente.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.
+<br><br>
+Questo campo è compatibile con l\'editor FCK e, per il multi-lingue, è possibile utilizzare i tag [lang] del plugin Extended description se ​​è attivo.';
 Per installare il plugin, un testo standard è dato a titolo di esempio.
 <br><br>
@@ -173,5 +193,10 @@
 Dopo aver installato il plugin, un testo standard è impostato come un esempio.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tag:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome del relativo utente.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della galleria, se impostato nelle opzioni di configurazione di Piwigo.
+<br><br>
+Questo campo è compatibile con l\'editor FCK e, per il multi-lingue, è possibile utilizzare i tag [lang] del plugin Extended description se ​​è attivo.';
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome del relativo utente.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
@@ -195,5 +220,5 @@
 $lang['UAM_USRAutoDelTitle_d'] = 'Questo è valido solo quando l\'utente il cui account è scaduto si attiva il meccanismo di eliminazione (raro ma possibile). Egli poi sarà scollegato dalla galleria e reindirizzato a una pagina che mostra la cancellazione del suo account ed, eventualmente, le ragioni di questa cancellazione.
 <br><br>
-Personalizzare ulteriormente il contenuto con speciali inserted tags:<br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
@@ -201,10 +226,4 @@
 <br><br>
 Testo personalizzato per il reindirizzamento pagina può essere inserito in questo campo che è compatibile con l\'editor FCK e, per il multi-lingue, è possibile utilizzare i tag [lang] del plugin Extended description se ​​è attivo.';
-$lang['UAM_MailInfo_Subject_d'] = 'Inserisci qui il tuo oggetto e-mail informazioni personalizzate.<br>
-Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang =?] del plugin Extended Description se ​​installato.
-<br><br>
-I seguenti tag aggiuntivi personalizzazioni sono disponibili senza utilizzare il plugin Extended Description:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.
-- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>';
 $lang['UAM_PwdResetTitle_d'] = 'L\'attivazione di questa opzione aggiunge una nuova funzionalità nel pannello di gestione degli utenti Piwigo (Utenti> Gestione) che può essere applicato per rinnovare la password per gli utenti selezionati. Inoltre, una nuova colonna viene aggiunta per mostrare lo stato di password per ciascuno di essi con i seguenti valori:<br>
 Password in attesa di rinnovo: Una richiesta per una nuova password è stata inserita.<br>
@@ -238,3 +257,49 @@
 <br><br>
 <b>Funzione di ordinamento tabella</b>: Puoi ordinare i dati visualizzati cliccando sulle intestazioni di colonna. Tenere premuto il tasto MAIUSC per ordinare fino a 4 colonne simultaneamente.';
+$lang['UAM_remailtxt1Title_d'] = 'Immettere il testo introduttivo che si desidera venga visualizzato nell\'email di promemoria, in aggiunta alla chiave di conferma rigenerata.
+<br><br>
+Se lasciato vuoto, la email di promemoria includerà solo il link di conferma. Pertanto si consiglia vivamente di inserire un piccolo testo esplicativo. (NB: Con l\'installazione del plugin un testo pre-compilato è fornito come esempio).
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> per inserire il numero di giorni limite per confermare una registrazione (&quot;termine per la conferma della registrazione limitata&quot; devono essere abilitati).
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_infotxtTitle_d'] = 'Immettere il testo introduttivo che si desidera venga visualizzato nell\'email di informazioni.
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_gttextTitle_d'] = 'Inserisci il testo che si desidera visualizzare nel promemoria e-mail per richiedere all\'utente di tornare a visitare la tua galleria (NB: Con l\'installazione del plugin un testo pre-compilato è fornito come esempio).
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[days]</b> per inserire il numero massimo di giorni tra due visite.
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_remailtxt2Title_d'] = 'Immettere il testo introduttivo che si desidera venga visualizzato nell\'email di sollecito senza rigenerare una chiave di conferma.
+<br><br>
+Se lasciato vuoto, il promemoria email sarà vuoto. Pertanto si consiglia vivamente di inserire un piccolo testo esplicativo. (NB: Con l\'installazione del plugin un testo pre-compilato è fornito come esempio).
+<br><br>
+Personalizzare ulteriormente il contenuto inserendo speciali tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> per inserire l\'URL della tua galleria se impostato nella configurazione opzioni di Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> per inserire il numero di giorni limite per confermare una registrazione (&quot;termine per la conferma della registrazione limitata&quot; devono essere abilitati).
+<br><br>
+Per utilizzare più lingue, è possibile utilizzare il tag del plugin Extended description se è attivo.';
+$lang['UAM_gtTitle_d'] = 'Quando Ghost Tracker è abilitato e inizializzato, di seguito troverete l\'elenco dei visitatori registrati che non sono tornati da x giorni. &quot;x&quot; è il numero di giorni configurati nella scheda Configurazione generale. Inoltre, si trova una colonna che indica se un promemoria tramite email è stata inviata ai al target di visitatori. Quindi, si può vedere a colpo d\'occhio e trattare i visitatori che non hanno preso in considerazione il promemoria.<br><br>In questa vista, è possibile:
+<br><br>
+- Eliminare manualmente gli account <b>(manual drain)</b>
+<br>
+- Generare promemoria e-mail <b>con il reset della data ultima visita</b>. Questo permette di dare un carattere speciale per un target di visitatori. Se il visitatore ha già ricevuto un sollecito, nulla impedisce di reinviare un nuovo messaggio, che resetterà nuovamente la data dell\'ultima visita.
+<br><br>
+<b>Tabella Ordinamento delle funzioni</b>: E\' possibile ordinare i dati visualizzati facendo clicando sulle intestazioni delle colonne. Tenere premuto il tasto SHIFT per ordinare fino a 4 colonne contemporaneamente.';
 ?>