Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 21330)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 21331)
@@ -48,5 +48,5 @@
 $lang['%d waiting for validation'] = '%d 等待確認有效';
 $lang['Actions'] = '實施';
-$lang['Activate'] = '激活';
+$lang['Activate'] = '啟動';
 $lang['Add/delete a permalink'] = '增加/刪除一個固定鏈接';
 $lang['Add a tag'] = '增加標籤';
@@ -66,5 +66,5 @@
 $lang['Current name'] = '現用名';
 $lang['Database'] = '數據庫';
-$lang['Deactivate'] = '註銷';
+$lang['Deactivate'] = '停用';
 $lang['Delete Representant'] = '刪除代理人';
 $lang['Delete selected tags'] = '刪除所選標籤';
@@ -118,5 +118,5 @@
 $lang['Other private albums'] = '其他私有相冊';
 $lang['Page banner'] = '頁標語';
-$lang['Parent album'] = '父相冊';
+$lang['Parent album'] = '主相冊';
 $lang['Path'] = '路徑';
 $lang['Permalink'] = '固定鏈接';
@@ -138,5 +138,5 @@
 $lang['Rating by guests'] = '遊客投票數';
 $lang['Rating'] = '投票';
-$lang['Reject'] = '取消';
+$lang['Reject'] = '拒絕';
 $lang['Representant'] = '代理人';
 $lang['Representation of albums'] = '相冊代表';
@@ -159,5 +159,5 @@
 $lang['The %d following tags were deleted'] = '下面標籤 %d 已刪除';
 $lang['Unable to check for upgrade.'] = '不能檢測更新.';
-$lang['Uninstall'] = '卸載';
+$lang['Uninstall'] = '解除安裝';
 $lang['Use the default photo sort order (defined in the configuration file)']='使用默認圖片排序(在配置文件中定義)';
 $lang['User comments validation'] = '確認用戶評論';
@@ -189,10 +189,10 @@
 $lang['Access type'] = '權限類型';
 $lang['Information data registered in database'] = '信息已保存到數據庫中';
-$lang['Default display'] = '默認顯示';
+$lang['Default display'] = '預設顯示資訊';
 $lang['The gallery URL is not valid.'] = '圖庫地址不合法.';
 $lang['Main'] = '主頁';
 $lang['The number of comments a page must be between 5 and 50 included.'] = '每頁用戶評論數必須在5和50之間.';
-$lang['Configuration'] = '設置';
-$lang['confirm'] = '設置';
+$lang['Configuration'] = '配置';
+$lang['confirm'] = '確定';
 $lang['Date'] = '日期';
 $lang['delete album'] = '刪除相冊';
@@ -201,5 +201,5 @@
 $lang['Album updated successfully'] = '相冊信息已上傳成功.';
 $lang['photos per page'] = '每頁圖片';
-$lang['High definition enabled'] = '激活高清功能';
+$lang['High definition enabled'] = '高畫質已啟用';
 $lang['File'] = '文件';
 $lang['first photo added on %s'] = '於 %s 上傳了第一幅圖';
@@ -211,8 +211,8 @@
 $lang['The name of a group must not contain " or \' or be empty.'] = '組名不能包含 " 或 \' 並不能為空.';
 $lang['This name is already used by another group.'] = '組名已存在.';
-$lang['High definition'] = '高清';
+$lang['High definition'] = '高畫質';
 $lang['jump to album'] = '跳到相冊';
 $lang['jump to photo'] = '跳轉到圖';
-$lang['leave'] = '開鎖';
+$lang['leave'] = '離開';
 $lang['Lock'] = '上鎖';
 $lang['Locked'] = '鎖定';
@@ -233,15 +233,15 @@
 $lang['New photos were added'] = '加入一些新圖片';
 $lang['on'] = '時間: ';
-$lang['between'] = '時間: ';
+$lang['between'] = '之間';
 $lang['and'] = ' 至 ';
 $lang['The webmaster has subscribed you to receiving notifications by mail.'] = '網管開通了你的郵件通知功能.';
 $lang['You have subscribed to receiving notifications by mail.'] = '你開通了郵件通知功能.';
-$lang['To subscribe'] = '註冊新用戶';
+$lang['To subscribe'] = '如要訂閱';
 $lang['If you encounter problems or have any question, please send a message to'] = '如有遇到故障或問題,請發郵件至 ';
-$lang['[NBM] Problems or questions'] = '[NBM] 故障或問題';
+$lang['[NBM] Problems or questions'] = '[NBM] 故障或者疑問';
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = '網管取消了你的郵件通知功能.';
 $lang['You have unsubscribed from receiving notifications by mail.'] = '你取消了你的郵件通知功能.';
 $lang[', click on'] = ', 請點擊 ';
-$lang['To unsubscribe'] = '註銷';
+$lang['To unsubscribe'] = '要取消訂閱';
 $lang['With blank value, gallery title will be used'] = '圖庫標題允許為空';
 $lang['Notification'] = '通知';
@@ -259,6 +259,6 @@
 $lang['New photos added'] = '新圖片已加入';
 $lang['Subscribe to notification by mail'] = '註冊郵件通知功能';
-$lang['Unsubscribe from notification by mail'] = '註銷郵件通知功能';
-$lang['Parameter'] = '設置';
+$lang['Unsubscribe from notification by mail'] = '取消訂閱郵件通知功能';
+$lang['Parameter'] = '設定';
 $lang['Continue processing treatment'] = '正在繼續處理中...';
 $lang['Complementary mail content'] = '郵件附加內容';
@@ -270,8 +270,8 @@
 $lang['Subscribed'] = '已註冊';
 $lang['Subscribe'] = '註冊';
-$lang['Parameters'] = '設置參數';
+$lang['Parameters'] = '參數';
 $lang['Select recipients'] = '選擇接受郵件用戶';
 $lang['Subscribe/unsubscribe users'] = '註冊/註銷用戶';
-$lang['Unsubscribed'] = '已註銷';
+$lang['Unsubscribed'] = '已取消訂閱';
 $lang['%d parameter was updated.'] = '%d 參數已更新.';
 $lang['%d parameters were updated.'] = '%d 等參數已更新.';
@@ -289,5 +289,5 @@
 $lang['Include display of recent photos grouped by dates'] = '包括顯示最近按日期分組的圖片';
 $lang['Available only with HTML format'] = '只能以HTML格式';
-$lang['no write access'] = '不能寫入';
+$lang['no write access'] = '沒有寫入權限';
 $lang['Permissions'] = '權限';
 $lang['private'] = '私有';
@@ -296,5 +296,5 @@
 $lang['Purge sessions'] = '清除會話';
 $lang['randomly represented'] = '隨機顯示';
-$lang['registration date'] = '保存日期';
+$lang['registration date'] = '註冊日期';
 $lang['clean'] = '清除';
 $lang['Create this site'] = '創建網站';
@@ -307,5 +307,5 @@
 $lang['singly represented'] = '固定顯示';
 $lang['This site already exists'] = '此站點已存在';
-$lang['created'] = '已創建';
+$lang['created'] = '已建立';
 $lang['delete'] = '刪除';
 $lang['delete this site and all its attached elements'] = '刪除此站點和與其相關聯的所有信息';
@@ -336,9 +336,9 @@
 $lang['General statistics'] = '普通統計';
 $lang['average time'] = '平均時間';
-$lang['number of miniaturized photos'] = '創建的縮略圖數';
+$lang['number of miniaturized photos'] = '數量的縮略圖建立';
 $lang['total time'] = '總共時間';
 $lang['for this file format'] = '對於此文件格式';
 $lang['unit mode'] = '單一模式';
-$lang['Unlocked'] = '解鎖';
+$lang['Unlocked'] = '解除鎖定';
 $lang['unset'] = '清空';
 $lang['Update albums informations'] = '上傳相冊信息';
@@ -374,16 +374,16 @@
 $lang['Used metadata'] = '已使用過的元數據';
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = '文件夾和文件名稱只能包含字母, 數字, "-", "_" 和 "."';
-$lang['wrong filename'] = '文件名出錯';
-$lang['Upload'] = '增加';
+$lang['wrong filename'] = '文件文件名錯誤';
+$lang['Upload'] = '上傳';
 $lang['user "%s" added'] = '用戶 "%s" 已加入';
 $lang['User status'] = '用戶狀態';
 $lang['user_status_admin'] = '管理員';
 $lang['user_status_generic'] = '一般用戶';
-$lang['user_status_guest'] = '來賓';
-$lang['user_status_normal'] = '遊客';
+$lang['user_status_guest'] = '遊客';
+$lang['user_status_normal'] = '使用者';
 $lang['user_status_webmaster'] = '網管';
 $lang['Virtual album'] = '虛擬相冊';
 $lang['Waiting'] = '等待';
-$lang['default'] = '默認';
+$lang['default'] = '預設';
 $lang['Toggle \'default group\' property'] = '賦予\'groupe par defaut\'默認組屬性';
 $lang['Advanced features'] = '高級功能';
@@ -417,5 +417,5 @@
 $lang['Hour'] = '小時';
 $lang['guest'] = '來賓';
-$lang['default values'] = '默認值';
+$lang['default values'] = '預設值';
 $lang['Guest cannot be deleted'] = '不能刪除來賓';
 $lang['Default user cannot be deleted'] = '不能刪除默認用戶';
@@ -442,5 +442,5 @@
 $lang['Main "guest" user does not exist'] = '主要"guest"用戶不存在';
 $lang['Main "guest" user status is incorrect'] = '主要"guest"用戶狀態異常';
-$lang['Default user does not exist'] = '默認帳戶不再存在';
+$lang['Default user does not exist'] = '預設帳戶不再存在';
 $lang['Main "webmaster" user does not exist'] = '主要網管帳戶不再存在';
 $lang['Main "webmaster" user status is incorrect'] = '主要網管用戶狀態異常';
@@ -498,5 +498,5 @@
 $lang['Piwigo Administration'] = 'Piwigo管理';
 $lang['Piwigo version'] = 'Piwigo版本';
-$lang['You are running the latest version of Piwigo.'] = '你運行的是Piwigo最新版.';
+$lang['You are running the latest version of Piwigo.'] = '你正在執行的是Piwigo最新版.';
 $lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = '%s [%s]安裝版本跟[%s]版本不兼容';
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = '為了獲得全部功能，你應該更新系統，否則程序運行不正常。';
@@ -556,5 +556,5 @@
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = '給予根目錄下的 "%s" 目錄寫權限 (chmod 777) 以完成 Piwigo 的安裝';
 $lang['existing album'] = '現有的相冊';
-$lang['create a new album'] = '創建一個新相冊';
+$lang['create a new album'] = '建立一個新相冊';
 $lang['Album name'] = '相冊名稱';
 $lang['Album "%s" has been added'] = '類別 "%s" 已添加';
@@ -567,5 +567,5 @@
 $lang['Everybody'] = '每個人';
 $lang['Who can see these photos?'] = '哪些人可以看到這些相片?';
-$lang['Settings'] = '設置';
+$lang['Settings'] = '設定';
 $lang['Resize'] = '重置大小';
 $lang['Maximum width'] = '最大寬度';
@@ -574,6 +574,6 @@
 $lang['Image Quality'] = '圖片質量';
 $lang['Save Settings'] = '保存設置';
-$lang['Your configuration settings are saved'] = '你的設置已保存';
-$lang['Active Themes'] = '已激活的主題';
+$lang['Your configuration settings are saved'] = '您的配置設定已保存';
+$lang['Active Themes'] = '已啟動的主題';
 $lang['Add write access to the "%s" directory'] = '為 "%s" 目錄添加寫權限';
 $lang['Administration Home'] = '管理員首頁';
@@ -602,7 +602,7 @@
 $lang['Main Page'] = '主頁';
 $lang['Photo Page'] = '相片頁';
-$lang['Activate Navigation Bar'] = '激活導航條';
-$lang['Activate Navigation Thumbnails'] = '激活縮略圖導航';
-$lang['Activate icon "%s"'] = '激活圖標 "%s"';
+$lang['Activate Navigation Bar'] = '啟動導航欄';
+$lang['Activate Navigation Thumbnails'] = '啟動縮略圖導航';
+$lang['Activate icon "%s"'] = '啟動圖標 "%s"';
 $lang['Photo Properties'] = '相片屬性';
 $lang['Allow user customization'] = '允許用戶自定義';
@@ -619,5 +619,5 @@
 $lang['Allow rating'] = '允許投票';
 $lang['Select at least one comment'] = '選擇最新一個評論';
-$lang['Active Plugins'] = '激活插件';
+$lang['Active Plugins'] = '啟動插件';
 $lang['Inactive Plugins'] = '停用插件';
 $lang['Missing Plugins'] = '丟失的插件';
@@ -625,5 +625,5 @@
 $lang['By %s'] = '按 %s';
 $lang['Visit plugin site'] = '瀏覽插件網站';
-$lang['Active Languages'] = '激活語言';
+$lang['Active Languages'] = '啟動語言';
 $lang['Delete this language'] = '刪除此語言';
 $lang['Forbid this language to users'] = '禁止用戶使用此語言';
@@ -688,11 +688,11 @@
 $lang['Remove all filters'] = '刪除所有過濾器';
 $lang['remove author'] = '刪除作者';
-$lang['remove creation date'] = '刪除創建日期';
+$lang['remove creation date'] = '刪除建立日期';
 $lang['remove this filter'] = '刪除此過濾器';
 $lang['remove title'] = '刪除標題';
 $lang['Selection'] = '選擇';
 $lang['Set author'] = '設置作者';
-$lang['Set creation date'] = '設置創建日期';
-$lang['Set title'] = '設置標題';
+$lang['Set creation date'] = '設定建立日期';
+$lang['Set title'] = '設定標題';
 $lang['The whole page'] = '整張相片';
 $lang['The whole set'] = '整個集合';
@@ -725,5 +725,5 @@
 $lang['Activate icon "new" next to albums and pictures'] = '在相簿及相片旁邊加上"新"的圖示';
 $lang['Add a criteria'] = '新增標準';
-$lang['Deactivate all'] = '取消全部';
+$lang['Deactivate all'] = '停用所有';
 $lang['Default photos order'] = '預設的相片順序';
 $lang['Restore'] = '復原';
@@ -740,5 +740,5 @@
 $lang['(this tag will be deleted)'] = '(此標籤將被刪除)';
 $lang['... or '] = '... 或 ';
-$lang['Activate comments'] = '啟用評論';
+$lang['Activate comments'] = '啟動評論';
 $lang['Add tags'] = '新增標籤';
 $lang['All extensions are up to date.'] = '所有的擴展是最新的';
@@ -815,5 +815,5 @@
 $lang['Notify administrators when a comment is'] = '當有評論時通知管理員';
 $lang['modified'] = '已修改';
-$lang['pending validation'] = '等候驗證';
+$lang['pending validation'] = '待審定';
 $lang['Save visits in history for'] = '保存訪問的歷史';
 $lang['simple visitors'] = '普通訪客';