Index: /extensions/Subscribe_to_comments/include/functions.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/functions.inc.php	(revision 21339)
+++ /extensions/Subscribe_to_comments/include/functions.inc.php	(revision 21340)
@@ -157,5 +157,5 @@
   
   // check email
-  if ( !empty($email) and !is_valid_email($email) )
+  if ( !empty($email) and !email_check_format($email) )
   {
     array_push($page['errors'], l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)'));
@@ -172,5 +172,5 @@
   }
   
-  // search if already registered (can use ODKU because we want to get the id of inserted OR updated row)
+  // search if already registered (can't use ODKU because we want to get the id of inserted OR updated row)
   $query = '
 SELECT id
@@ -213,5 +213,5 @@
   
   // notify admins
-  if ( pwg_db_changes(null) != 0 and $conf['Subscribe_to_Comments']['notify_admin_on_subscribe'] )
+  if ( pwg_db_changes() != 0 and $conf['Subscribe_to_Comments']['notify_admin_on_subscribe'] )
   {
     stc_mail_notification_admins($email, $type, $element_id, $inserted_id);
@@ -219,5 +219,5 @@
   
   // send validation mail
-  if ( is_a_guest() and pwg_db_changes(null) != 0 )
+  if ( is_a_guest() and pwg_db_changes() != 0 )
   {
     set_make_full_url();
@@ -267,5 +267,5 @@
   }
   // just display confirmation message
-  else if (pwg_db_changes(null) != 0)
+  else if (pwg_db_changes() != 0)
   {
     array_push($page['infos'], l10n('You have been added to the list of subscribers.'));
@@ -285,7 +285,13 @@
 function un_subscribe_to_comments($email, $id)
 {  
-  if (empty($id))
-  {
-    trigger_error('un_subscribe_to_comment: missing id', E_USER_WARNING);
+  if ( !empty($email) and !email_check_format($email) )
+  {
+    trigger_error('un_subscribe_to_comment: bad email', E_USER_WARNING);
+    return false;
+  }
+  
+  if (!preg_match('#^[0-9]+$#', $id))
+  {
+    trigger_error('un_subscribe_to_comment: bad id', E_USER_WARNING);
     return false;
   }
@@ -308,10 +314,9 @@
   WHERE 
     email = "'.pwg_db_real_escape_string($email).'"
-    AND id = "'.pwg_db_real_escape_string($id).'"
+    AND id = '.$id.'
 ;';
   pwg_query($query);
-      
-  if (pwg_db_changes(null) != 0) return true;
-  return false;
+  
+  return (pwg_db_changes() != 0);
 }
 
@@ -325,13 +330,13 @@
 function validate_subscriptions($email, $id)
 {
-  if (empty($email))
-  {
-    trigger_error('validate_subscriptions: missing email', E_USER_WARNING);
-    return false;
-  }
-  
-  if (empty($id))
-  {
-    trigger_error('validate_subscriptions: missing id', E_USER_WARNING);
+  if (!email_check_format($email))
+  {
+    trigger_error('validate_subscriptions: bad email', E_USER_WARNING);
+    return false;
+  }
+  
+  if (!preg_match('#^[0-9]+$#', $id))
+  {
+    trigger_error('validate_subscriptions: bad id', E_USER_WARNING);
     return false;
   }
@@ -342,10 +347,9 @@
   WHERE 
     email = "'.pwg_db_real_escape_string($email).'"
-    AND id = '.pwg_db_real_escape_string($id).'
+    AND id = '.$id.'
 ;';
   pwg_query($query);
-      
-  if (pwg_db_changes(null) != 0) return true;
-  return false;
+  
+  return (pwg_db_changes() != 0);
 }
 
@@ -371,5 +375,5 @@
   $template->set_filename('stc_mail', dirname(__FILE__).'/../template/mail/admin.tpl');
     
-  $subject = '['.strip_tags($conf['gallery_title']).'] '.sprintf(l10n('%s has subscribed to comments on'), is_a_guest()?$email:$user['username']);
+  $subject = '['.strip_tags($conf['gallery_title']).'] '.sprintf(l10n('%s has subscribed to comments on %s.'), is_a_guest()?$email:$user['username'], null);
     
   switch ($type)
@@ -401,5 +405,5 @@
   $template->assign('STC', array(
     'ELEMENT' => $element['on'],
-    'USER' => sprintf(l10n('%s has subscribed to comments on'), is_a_guest() ? '<b>'.$email.'</b>' : '<b>'.$user['username'].'</b> ('.$email.')'), 
+    'USER' => is_a_guest() ? '<b>'.$email.'</b>' : '<b>'.$user['username'].'</b> ('.$email.')', 
     'GALLERY_TITLE' => $conf['gallery_title'],
     'TECHNICAL' => implode('<br>', $technical_infos),
@@ -504,5 +508,4 @@
   $headers.= 'MIME-Version: 1.0'."\n";
   $headers.= 'X-Mailer: Piwigo Mailer'."\n";
-  // $headers.= 'Content-Transfer-Encoding: Quoted-Printable'."\n";
   $headers.= 'Content-Transfer-Encoding: 8bit'."\n";
   $headers.= 'Content-Type: text/html; charset="'.get_pwg_charset().'";'."\n";
@@ -523,6 +526,5 @@
   $content = $template->parse('stc_mail_header', true) . $content . $template->parse('stc_mail_footer', true);
   
-  // $content = quoted_printable_encode($content);
-  $content = wordwrap($content, 70, "\n", true);
+  $content = wordwrap($content, 70, "\n", false);
 
   unset_make_full_url();
@@ -687,30 +689,4 @@
 
 /**
- * check if mail adress is valid
- * @param: string email
- * @return: bool
- */
-if (!function_exists('is_valid_email'))
-{
-  function is_valid_email($mail_address)
-  {
-    if (version_compare(PHP_VERSION, '5.2.0') >= 0)
-    {
-      return filter_var($mail_address, FILTER_VALIDATE_EMAIL)!==false;
-    }
-    else
-    {
-      $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // before  arobase
-      $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // domain name
-      $regex = '/^' . $atom . '+' . '(\.' . $atom . '+)*' . '@' . '(' . $domain . '{1,63}\.)+' . $domain . '{2,63}$/i';
-
-      if (!preg_match($regex, $mail_address)) return false;
-      return true;
-    }
-  }
-}
-
-
-/**
  * crypt a string using mcrypt extension or
  * http://stackoverflow.com/questions/800922/how-to-encrypt-string-without-mcrypt-library-in-php/802957#802957
Index: /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 21339)
+++ /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 21340)
@@ -7,11 +7,20 @@
 function stc_detect_section()
 {
-  global $tokens, $page;
+  global $tokens, $page, $conf;
   
   if ($tokens[0] == 'subscriptions')
   {
+    add_event_handler('loc_begin_page_header', 'stc_page_header');
+    
     $page['section'] = 'subscriptions';
     $page['title'] = l10n('Comments notifications');
-  }
+    $page['section_title'] = '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator'].l10n('Comments notifications');
+  }
+}
+
+function stc_page_header()
+{
+  global $page;
+  $page['body_id'] = 'theSubscriptionsPage';
 }
 
@@ -49,12 +58,12 @@
         {
           case 'all-images':
-            subscribe_to_comments(@$_POST['stc_mail'], 'all-images');
+            subscribe_to_comments(@$_POST['email'], 'all-images');
             break;
           case 'album-images':
             if (empty($page['category']['id'])) break;
-            subscribe_to_comments(@$_POST['stc_mail'], 'album-images', $page['category']['id']);
+            subscribe_to_comments(@$_POST['email'], 'album-images', $page['category']['id']);
             break;
           case 'image':
-            subscribe_to_comments(@$_POST['stc_mail'], 'image', $comm['image_id']);
+            subscribe_to_comments(@$_POST['email'], 'image', $comm['image_id']);
             break;
         }
@@ -65,8 +74,8 @@
         {
           case 'all-albums':
-            subscribe_to_comments(@$_POST['stc_mail'], 'all-albums');
+            subscribe_to_comments(@$_POST['email'], 'all-albums');
             break;
           case 'album':
-            subscribe_to_comments(@$_POST['stc_mail'], 'album', $comm['category_id']);
+            subscribe_to_comments(@$_POST['email'], 'album', $comm['category_id']);
             break;
         }
@@ -76,5 +85,4 @@
     {
       $template->assign('STC_MODE', $_POST['stc_mode']);
-      $template->assign('STC_MAIL', @$_POST['stc_mail']);
     }
   }
@@ -239,7 +247,10 @@
   }
   
-  $template->assign('STC_ON_PICTURE', true);
-  if ( !empty($page['category']['id']) ) $template->assign('STC_ALLOW_ALBUM_IMAGES', true);
-  if ( $conf['Subscribe_to_Comments']['allow_global_subscriptions'] or is_admin() ) $template->assign('STC_ALLOW_GLOBAL', true);
+  $template->assign(array(
+    'STC_ON_PICTURE' => true,
+    'STC_ALLOW_ALBUM_IMAGES' => !empty($page['category']['id']),
+    'STC_ALLOW_GLOBAL' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'] || is_admin(),
+    'SUBSCRIBE_TO_PATH' => SUBSCRIBE_TO_PATH,
+    ));
   
   $template->set_prefilter('picture', 'stc_main_prefilter');
@@ -263,4 +274,5 @@
   }
   
+	// standalone subscription
   if (isset($_POST['stc_submit']))
   {
@@ -346,6 +358,9 @@
   }
   
-  $template->assign('STC_ON_ALBUM', true);
-  if ( $conf['Subscribe_to_Comments']['allow_global_subscriptions'] or is_admin() ) $template->assign('STC_ALLOW_GLOBAL', true);
+  $template->assign(array(
+    'STC_ON_ALBUM' => true,
+    'STC_ALLOW_GLOBAL' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'] || is_admin(),
+    'SUBSCRIBE_TO_PATH' => SUBSCRIBE_TO_PATH,
+    ));
 
   $template->set_prefilter('comments_on_albums', 'stc_main_prefilter');
Index: /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php	(revision 21339)
+++ /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php	(revision 21340)
@@ -5,14 +5,21 @@
 
 // check input parameters
-$_GET['verif_key'] = $_GET['action'].$_GET['email'].(isset($_GET['id'])?$_GET['id']:null);
-
-if ( 
-  empty($_GET['action']) or empty($_GET['email']) or empty($_GET['key'])
-  or decrypt_value($_GET['key'], $conf['secret_key']) !== $_GET['verif_key']
-  )
+if ( empty($_GET['action']) or empty($_GET['email']) or empty($_GET['key']) )
 {
   $_GET['action'] = null;
 }
 else
+{
+  $_GET['verif_key'] = $_GET['action'].$_GET['email'].(isset($_GET['id'])?$_GET['id']:null);
+
+  if ( decrypt_value($_GET['key'], $conf['secret_key']) !== $_GET['verif_key'] )
+  {
+    $_GET['action'] = null;
+  }
+}
+
+
+
+if ( !empty($_GET['action']) )
 {
   // unsubscribe all
@@ -27,5 +34,5 @@
   
   // bulk action
-  if (isset($_POST['apply_bulk']))
+  else if (isset($_POST['apply_bulk']))
   {
     foreach ($_POST['selected'] as $id)
@@ -44,5 +51,5 @@
   
   // unsubscribe from manage page
-  if (isset($_GET['unsubscribe']))
+  else if (isset($_GET['unsubscribe']))
   {
     if (un_subscribe_to_comments($_GET['email'], $_GET['unsubscribe']))
@@ -52,10 +59,10 @@
     else
     {
-     array_push($page['errors'], l10n('Not found.'));
+      array_push($page['errors'], l10n('Not found.'));
     }
   }
   
   // validate from manage page
-  if (isset($_GET['validate']))
+  else if (isset($_GET['validate']))
   {
     if (validate_subscriptions($_GET['email'], $_GET['validate']))
@@ -78,8 +85,7 @@
   case 'validate':
   {
-    $query = '
-SELECT
-    type,
-    element_id
+    // don't need to sanitize inputs, already checked with the unique key
+    $query = '
+SELECT type, element_id
   FROM '.SUBSCRIBE_TO_TABLE.'
   WHERE 
@@ -238,8 +244,13 @@
 
 $template->assign(array(
-  'TITLE' => l10n('Subscriptions of').' <i>'.$_GET['email'].'</i>',
   'SUBSCRIBE_TO_PATH' => SUBSCRIBE_TO_PATH,
   'SUBSCRIBE_TO_ABS_PATH' => realpath(SUBSCRIBE_TO_PATH).'/',
   ));
+  
+if (!empty($_GET['email']))
+{
+  $template->assign('TITLE', '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator'].
+                              sprintf(l10n('Subscriptions of %s'), '<i>'.$_GET['email'].'</i>'));
+}
 
 $template->set_filenames(array('index'=> dirname(__FILE__).'/../template/subscribtions_page.tpl'));
Index: /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 21339)
+++ /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 21340)
@@ -2,6 +2,4 @@
 
 $lang['Comments notifications'] = 'Comments notifications';
-
-/* messages */
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Invalid email adress, your are not subscribed to comments.';
 $lang['Confirm your subscribtion to comments'] = 'Confirm your subscribtion to comments';
@@ -13,19 +11,13 @@
 $lang['Please check your email inbox to confirm your subscription.'] = 'Please check your email inbox to confirm your subscription.';
 $lang['You have been added to the list of subscribers.'] = 'You have been added to the list of subscribers.';
-
-/* sprintf */
 $lang['the picture <a href="%s">%s</a>'] = 'the picture <a href="%s">%s</a>';
 $lang['all pictures of the album <a href="%s">%s</a>'] = 'all pictures of the album <a href="%s">%s</a>';
 $lang['the album <a href="%s">%s</a>'] = 'the album <a href="%s">%s</a>';
-$lang['%s has subscribed to comments on'] = '%s has subscribed to comments on';
-
-/* config */
+$lang['%s has subscribed to comments on %s.'] = '%s has subscribed to comments on %s.';
 $lang['Notify administrators when a user take a new subscription'] = 'Notify administrators when a user take a new subscription';
 $lang['Allow users to subscribe to global notifications'] = 'Allow users to subscribe to global notifications';
-
-/* comment form */
 $lang['Subscribe to mail notifications'] = 'Subscribe to mail notifications';
 $lang['Notify me of followup comments'] = 'Notify me of followup comments';
-$lang['You are currently subscribed to comments on'] =  'You are currently subscribed to comments on';
+$lang['You are currently subscribed to comments on %s.'] = 'You are currently subscribed to comments on %s.';
 $lang['this picture'] = 'this picture';
 $lang['all pictures of this album'] = 'all pictures of this album';
@@ -33,6 +25,4 @@
 $lang['this album'] = 'this album';
 $lang['all albums of the gallery'] = 'all albums of the gallery';
-
-/* buttons */
 $lang['Manage my subscriptions'] = 'Manage my subscriptions';
 $lang['Subscribe'] = 'Subscribe';
@@ -40,16 +30,14 @@
 $lang['Validate'] = 'Validate';
 $lang['Confirm subscription'] = 'Confirm subscription';
-
-/* email */
-$lang['New subscription on'] = 'New subscription on';
-$lang['Subscribe to comments on'] = 'Subscribe to comments on';
-$lang['You requested to subscribe by email to comments on'] = 'You requested to subscribe by email to comments on';
+$lang['Stop receiving notifications'] = 'Stop receiving notifications';
+$lang['New subscription on %s'] = 'New subscription on %s';
+$lang['Subscribe to comments on %s'] = 'Subscribe to comments on %s';
+$lang['You requested to subscribe by email to comments on %s'] = 'You requested to subscribe by email to comments on %s';
 $lang['To activate, click the confirm button. If you believe this is an error, please just ignore this message.'] = 'To activate, click the confirm button. If you believe this is an error, please just ignore this message.';
 $lang['Want to edit your notifications options?'] = 'Want to edit your notifications options?';
-$lang['New comment on'] = 'New comment on';
-
-/* manage page */
-$lang['Subscriptions of'] = 'Subscriptions of';
+$lang['New comment on %s'] = 'New comment on %s';
+$lang['Subscriptions of %s'] = 'Subscriptions of %s';
 $lang['Return to item page'] = 'Return to item page';
+$lang['Global subscriptions'] = 'Global subscriptions';
 $lang['Subject'] = 'Subject';
 $lang['Followed on'] = 'Followed on';
Index: /extensions/Subscribe_to_comments/main.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/main.inc.php	(revision 21339)
+++ /extensions/Subscribe_to_comments/main.inc.php	(revision 21340)
@@ -13,7 +13,7 @@
 global $prefixeTable;
 
-define('SUBSCRIBE_TO_PATH' , PHPWG_PLUGINS_PATH . 'Subscribe_to_Comments/');
-define('SUBSCRIBE_TO_TABLE', $prefixeTable . 'subscribe_to_comments');
-define('SUBSCRIBE_TO_VERSION', '2.0.3');
+define('SUBSCRIBE_TO_PATH' ,   PHPWG_PLUGINS_PATH . 'Subscribe_to_Comments/');
+define('SUBSCRIBE_TO_TABLE',   $prefixeTable . 'subscribe_to_comments');
+define('SUBSCRIBE_TO_VERSION', 'auto');
 
 
@@ -30,4 +30,5 @@
   // apply upgrade if needed
   if (
+    SUBSCRIBE_TO_VERSION == 'auto' or
     $pwg_loaded_plugins['Subscribe_to_Comments']['version'] == 'auto' or
     version_compare($pwg_loaded_plugins['Subscribe_to_Comments']['version'], SUBSCRIBE_TO_VERSION, '<')
@@ -37,5 +38,5 @@
     stc_install();
     
-    if ($pwg_loaded_plugins['Subscribe_to_Comments']['version'] != 'auto')
+    if ( $pwg_loaded_plugins['Subscribe_to_Comments']['version'] != 'auto' and SUBSCRIBE_TO_VERSION != 'auto' )
     {
       $query = '
Index: /extensions/Subscribe_to_comments/template/form_comment.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_comment.tpl	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/form_comment.tpl	(revision 21340)
@@ -1,3 +1,4 @@
 {if !$SUBSCRIBED_ALL_IMAGES && !$SUBSCRIBED_ALL_ALBUMS && !$SUBSCRIBED_ALBUM && !$SUBSCRIBED_ALBUM_IMAGES && !$SUBSCRIBED_IMAGE}
+
 <p>
   {'Notify me of followup comments'|@translate} :<br>
@@ -5,16 +6,16 @@
   {if $STC_ON_PICTURE}
     {if $STC_ALLOW_GLOBAL} 
-      <label><input type="radio" name="stc_mode" value="image" {if $STC_MODE == "image"}checked="checked"{/if}> {'this picture'|@translate}</label>
-      {if $STC_ALLOW_ALBUM_IMAGES}<label><input type="radio" name="stc_mode" value="album-images" {if $STC_MODE == "album-images"}checked="checked"{/if}> {'all pictures of this album'|@translate}</label>{/if}
-      <label><input type="radio" name="stc_mode" value="all-images" {if $STC_MODE == "all-images"}checked="checked"{/if}> {'all pictures of the gallery'|@translate}</label>
+      <label><input type="radio" name="stc_mode" value="image" {if $STC_MODE=="image"}checked="checked"{/if}> {'this picture'|@translate}</label>
+      {if $STC_ALLOW_ALBUM_IMAGES}<label><input type="radio" name="stc_mode" value="album-images" {if $STC_MODE=="album-images"}checked="checked"{/if}> {'all pictures of this album'|@translate}</label>{/if}
+      <label><input type="radio" name="stc_mode" value="all-images" {if $STC_MODE=="all-images"}checked="checked"{/if}> {'all pictures of the gallery'|@translate}</label>
     {else}
-      <label><input type="radio" name="stc_mode" value="image" {if $STC_MODE == "image"}checked="checked"{/if}> {'Yes'|@translate}</label>
+      <label><input type="radio" name="stc_mode" value="image" {if $STC_MODE=="image"}checked="checked"{/if}> {'Yes'|@translate}</label>
     {/if}
   {elseif $STC_ON_ALBUM}
     {if $STC_ALLOW_GLOBAL}
-      <label><input type="radio" name="stc_mode" value="album" {if $STC_MODE == "album"}checked="checked"{/if}> {'this album'|@translate}</label>
-      <label><input type="radio" name="stc_mode" value="all-albums" {if $STC_MODE == "all-albums"}checked="checked"{/if}> {'all albums of the gallery'|@translate}</label>
+      <label><input type="radio" name="stc_mode" value="album" {if $STC_MODE=="album"}checked="checked"{/if}> {'this album'|@translate}</label>
+      <label><input type="radio" name="stc_mode" value="all-albums" {if $STC_MODE=="all-albums"}checked="checked"{/if}> {'all albums of the gallery'|@translate}</label>
     {else}
-      <label><input type="radio" name="stc_mode" value="album" {if $STC_MODE == "album"}checked="checked"{/if}> {'Yes'|@translate}</label>
+      <label><input type="radio" name="stc_mode" value="album" {if $STC_MODE=="album"}checked="checked"{/if}> {'Yes'|@translate}</label>
     {/if}
   {/if}
@@ -22,15 +23,23 @@
 
 {if $STC_ASK_MAIL}
-  <p><label id="stc_mail" {if !$STC_MODE}style="display:none;"{/if}>{'Email address'|@translate} : <input type="text" name="stc_mail" value="{$STC_MAIL}"></label></p>
-  {footer_script require="jquery"}{literal}
-  jQuery(document).ready(function() {
-    $("#addComment input[name='stc_mode']").change(function() {
-      if ($(this).val() != "-1")
-        $("#stc_mail").css("display", "");
-      else
-        $("#stc_mail").css("display", "none");
-    });
+{footer_script require="jquery"}{literal}
+	var $stc_email_input = $("#addComment input[name='email']");
+  var stc_bordercolor = $stc_email_input.css('border-color');
+  
+  $("#addComment input[name='stc_mode']").change(function() {
+    if ($(this).val() != "-1") {
+      if ($stc_email_input.val()=="") {
+        $stc_email_input.css("border-color", "red");
+      }
+    }
+    else {
+      $stc_email_input.css("border-color", stc_bordercolor);
+    }
   });
-  {/literal}{/footer_script}
+  $stc_email_input.change(function() {
+    $(this).css('border-color', stc_bordercolor);
+  });
+{/literal}{/footer_script}
 {/if}
+
 {/if}
Index: /extensions/Subscribe_to_comments/template/form_standalone.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_standalone.tpl	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/form_standalone.tpl	(revision 21340)
@@ -1,24 +1,35 @@
+{combine_css path=$SUBSCRIBE_TO_PATH|@cat:'template/style_form.css'}
+
+{if $STC_ALLOW_GLOBAL}
+  {footer_script require="jquery"}{literal}
+  jQuery("#stc_submit").hide();
+  jQuery("#stc_standalone input[name='stc_mode']").change(function() {
+    jQuery("#stc_submit").show();
+  });
+  {/literal}{/footer_script}
+{/if}
+
 {if isset($comment_add)}
 <div id="pictureCommentList">
 <form method="post" action="{$comment_add.F_ACTION}" id="stc_standalone">
-  <fieldset>
+  <fieldset>{strip}
   {if $SUBSCRIBED_ALL_IMAGES}
-    {'You are currently subscribed to comments on'|@translate} {'all pictures of the gallery'|@translate}.
+    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all pictures of the gallery'|@translate}
     <a href="{$MANAGE_LINK}">{'Manage my subscriptions'|@translate}</a> 
     
   {elseif $SUBSCRIBED_ALBUM_IMAGES}
-    {'You are currently subscribed to comments on'|@translate} {'all pictures of this album'|@translate}.
+    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all pictures of this album'|@translate}
     <a href="{$UNSUB_LINK}">{'Unsubscribe'|@translate}</a>
     
   {elseif $SUBSCRIBED_IMAGE}
-    {'You are currently subscribed to comments on'|@translate} {'this picture'|@translate}.
+    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'this picture'|@translate}
     <a href="{$UNSUB_LINK}">{'Unsubscribe'|@translate}</a>
     
   {elseif $SUBSCRIBED_ALL_ALBUMS}
-    {'You are currently subscribed to comments on'|@translate} {'all albums of the gallery'|@translate}.
+    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all albums of the gallery'|@translate}
     <a href="{$MANAGE_LINK}">{'Manage my subscriptions'|@translate}</a>
     
   {elseif $SUBSCRIBED_ALBUM}
-    {'You are currently subscribed to comments on'|@translate} {'this album'|@translate}.
+    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'this album'|@translate}
     <a href="{$UNSUB_LINK}">{'Unsubscribe'|@translate}</a>
     
@@ -42,10 +53,12 @@
     {/if}
     {if $STC_ALLOW_GLOBAL and $STC_ASK_MAIL}<br>{/if}
+    <span id="stc_submit">
     {if $STC_ASK_MAIL}
-      <label>{'Email address'|@translate} <input type="text" name="stc_mail" size="30"></label>
+        <label>{'Email'|@translate} <input type="text" name="stc_mail" size="30"></label>
     {/if}
-    <label><input type="submit" name="stc_submit" value="{'Subscribe'|@translate}"></label>
+      <label><input type="submit" name="stc_submit" value="{'Subscribe'|@translate}"></label>
+    </span>
   {/if}
-  </fieldset>
+  {/strip}</fieldset>
 </form>
 </div>
Index: /extensions/Subscribe_to_comments/template/mail/admin.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/mail/admin.tpl	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/mail/admin.tpl	(revision 21340)
@@ -1,4 +1,4 @@
 <div id="the_header">
-{'New subscription on'|@translate} <b>{$STC.GALLERY_TITLE}</b>
+{'New subscription on %s'|@translate|sprintf:$STC.GALLERY_TITLE}</b>
 </div>
 
@@ -7,5 +7,5 @@
 <p>
   {'Hi administrators,'|@translate}<br>
-  {$STC.USER} {$STC.ELEMENT}.
+  {'%s has subscribed to comments on %s.'|@translate|sprintf:$STC.USER:$STC.ELEMENT}
 </p>
 
Index: /extensions/Subscribe_to_comments/template/mail/confirm.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/mail/confirm.tpl	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/mail/confirm.tpl	(revision 21340)
@@ -1,9 +1,9 @@
 <div id="the_header">
-{'Subscribe to comments on'|@translate} <b>{$STC.GALLERY_TITLE}</b>
+{'Subscribe to comments on %s'|@translate|sprintf:$STC.GALLERY_TITLE}</b>
 </div>
 
 <div id="the_content">
 
-<p>{'You requested to subscribe by email to comments on'|@translate} {$STC.element.on}.</p>
+<p>{'You requested to subscribe by email to comments on %s'|@translate|sprintf:$STC.element.on}.</p>
 
 {if not empty($STC.element.thumbnail)}
Index: /extensions/Subscribe_to_comments/template/mail/notification.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/mail/notification.tpl	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/mail/notification.tpl	(revision 21340)
@@ -1,4 +1,4 @@
 <div id="the_header">
-{'New comment on'|@translate} <b>{$STC.GALLERY_TITLE}</b>
+{'New comment on %s'|@translate|sprintf:$STC.GALLERY_TITLE}</b>
 </div>
 
Index: /extensions/Subscribe_to_comments/template/style.css
===================================================================
--- /extensions/Subscribe_to_comments/template/style.css	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/style.css	(revision 21340)
@@ -25,8 +25,8 @@
   }
     .subscriptions_list tr .actions {
-      display:none;
+      visibility:hidden;
     }
     .subscriptions_list tr:hover .actions {
-      display:block;
+      visibility:visible;
     }
   .subscriptions_list td.date {
@@ -68,5 +68,4 @@
 
 
-
 .stc p {
   text-align:center;
Index: /extensions/Subscribe_to_comments/template/style_form.css
===================================================================
--- /extensions/Subscribe_to_comments/template/style_form.css	(revision 21340)
+++ /extensions/Subscribe_to_comments/template/style_form.css	(revision 21340)
@@ -0,0 +1,6 @@
+#stc_standalone fieldset {
+  border-radius:6px;
+}
+#stc_standalone input {
+  margin:3px !important;
+}
Index: /extensions/Subscribe_to_comments/template/subscribtions_page.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/subscribtions_page.tpl	(revision 21339)
+++ /extensions/Subscribe_to_comments/template/subscribtions_page.tpl	(revision 21340)
@@ -31,12 +31,14 @@
         <td>
           {if $sub.type == 'all-images'}
-            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> {'You are currently subscribed to comments on all pictures of the gallery.'|@translate}
+            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all pictures of the gallery'|@translate}
           {else $sub.type == 'all-albums'}
-            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png"> {'You are currently subscribed to comments on all albums of the gallery.'|@translate}
+            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png"> {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all albums of the gallery'|@translate}
           {/if}
         </td>
         <td style="white-space:nowrap;">
-          <a href="{$MANAGE_LINK}&amp;unsubscribe={$sub.id}">{'Unsubscribe'|@translate}</a>
-          {if $sub.validated == 'false'}<br> <a href="{$MANAGE_LINK}&amp;validate={$sub.id}">{'Validate'|@translate}</a>{/if}
+          <div class="actions">
+            <a href="{$MANAGE_LINK}&amp;unsubscribe={$sub.id}">{'Unsubscribe'|@translate}</a>
+            {if $sub.validated == 'false'}<br> <a href="{$MANAGE_LINK}&amp;validate={$sub.id}">{'Validate'|@translate}</a>{/if}
+          </div>
         </td>
         <td style="white-space:nowrap;">
@@ -61,9 +63,9 @@
       {foreach from=$subscriptions item=sub name=subs_loop}
       <tr class="{if $smarty.foreach.subs_loop.index is odd}row1{else}row2{/if} {if $sub.validated == 'false'}not-validated{/if}">
-        <td class="chkb"><input type="checkbox" name="selected[]" value="{$sub.id}"></td>
-        <td class="thumb"><img src="{$sub.infos.thumbnail}" alt="{$sub.infos.name}" class="thumbnail"></td>
+        <td class="chkb"><input type="checkbox" name="selected[]" value="{$sub.id}" id="sub-{$sub.id}"></td>
+        <td class="thumb"><label for="sub-{$sub.id}"><img src="{$sub.infos.thumbnail}" alt="{$sub.infos.name}" class="thumbnail"></label></td>
         <td class="info">
           <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/{$sub.type}.png">
-          <a href="{$sub.infos.url}">{$sub.infos.name}</a>
+          <b><a href="{$sub.infos.url}">{$sub.infos.name}</a></b>
 
           <div class="actions">
@@ -89,5 +91,4 @@
     
     <p>
-      <b>Legend :</b> 
       <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> {'comments on a picture'|@translate}. 
       <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album-images.png"> {'comments on all pictures of an album'|@translate}.
@@ -101,4 +102,5 @@
       <label><input type="checkbox" name="unsubscribe_all_check" value="1"> {'Unsubscribe from all email notifications'|@translate}</label>
       <input type="submit" name="unsubscribe_all" value="{'Submit'|@translate}">
+    </p>
   {/if}
 </form>