Index: /extensions/theme_switch/trunk/main.inc.php
===================================================================
--- /extensions/theme_switch/trunk/main.inc.php	(revision 21354)
+++ /extensions/theme_switch/trunk/main.inc.php	(revision 21355)
@@ -37,4 +37,9 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
+if (mobile_theme())
+{
+  return;
+}
+
 define('THEME_SWITCH_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
Index: /extensions/theme_switch/trunk/style.css
===================================================================
--- /extensions/theme_switch/trunk/style.css	(revision 21354)
+++ /extensions/theme_switch/trunk/style.css	(revision 21355)
@@ -1,8 +1,16 @@
 #themeSwitchBox {
+	padding: 0.5em 5px;
+	border-radius: 4px;
+	z-index: 100;
+	text-align:left;
+	display: none;
+	position: absolute;
+	left: 0; top: 0; /*left, right set through js*/
   background-color: #555;
   border: 1px solid #000;
 }
-
 #themeSwitchBox .switchBoxTitle {
+  padding-bottom:5px;
+  margin-bottom:5px;
   border-bottom: 1px solid #444;
 }
Index: /extensions/theme_switch/trunk/theme_switch.inc.php
===================================================================
--- /extensions/theme_switch/trunk/theme_switch.inc.php	(revision 21354)
+++ /extensions/theme_switch/trunk/theme_switch.inc.php	(revision 21355)
@@ -94,10 +94,14 @@
     }
   } 
+
+  $safe_themes = array('clear','dark','elegant','Sylvia','simple-grey','simple-black','simple-white','kardon','luciano','montblancxl');
   
-  $template->assign('THEME_SWITCH_PATH', THEME_SWITCH_PATH);
+  $template->assign(array(
+    'THEME_SWITCH_PATH' => THEME_SWITCH_PATH,
+    'THEME_SWITCH_LOAD_STYLE' => !in_array($user['theme'], $safe_themes),
+    ));
   
   $template->set_filename('theme_thumb', dirname(__FILE__) . '/thumb.tpl');
   $template->concat('PLUGIN_INDEX_ACTIONS', $template->parse('theme_thumb', true));
-  
   $template->clear_assign('theme_thumb');
 }
@@ -119,5 +123,4 @@
   $template->set_filename('theme_select', dirname(__FILE__) . '/select.tpl');
   $template->concat('PLUGIN_INDEX_ACTIONS', $template->parse('theme_select', true));
-  
   $template->clear_assign('theme_select');
 }
Index: /extensions/theme_switch/trunk/thumb.tpl
===================================================================
--- /extensions/theme_switch/trunk/thumb.tpl	(revision 21354)
+++ /extensions/theme_switch/trunk/thumb.tpl	(revision 21355)
@@ -1,9 +1,9 @@
 <li>{strip}<a id="themeSwitchLink" title="{'Interface theme'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-  <span class="pwg-icon" style="background:url('{$THEME_SWITCH_PATH}icon.png') center center no-repeat;">&nbsp;</span><span class="pwg-button-text">{'Interface theme'|@translate}</span>
+  <span class="pwg-icon" style="background:url('{$ROOT_URL}{$THEME_SWITCH_PATH}icon.png') center center no-repeat;">&nbsp;</span><span class="pwg-button-text">{'Interface theme'|@translate}</span>
 </a>
 <div id="themeSwitchBox" class="switchBox">
   <div class="switchBoxTitle">{'Interface theme'|@translate}</div> 
   {foreach from=$theme_switch item=theme name=t}
-  <a rel="nofollow" href="{$theme.url}" title="{$theme.name}"><img src="{$theme.img}" alt="{$theme.name}" class="theme-thumb"></a>
+  <a rel="nofollow" href="{$theme.url}" title="{$theme.name}"><img src="{$ROOT_URL}{$theme.img}" alt="{$theme.name}" class="theme-thumb"></a>
   {if ($smarty.foreach.t.index+1)%5 == 0}<br>{/if}
   {/foreach}
@@ -23,11 +23,6 @@
 {/literal}{/footer_script}
 
-{* <!-- switchBox structure for theme which don't include default style --> *}
-{if $themeconf.parent != 'default' or (isset($themeconf.load_parent_local_head) and $themeconf.load_parent_local_head == false) }
-{combine_css path=$THEME_SWITCH_PATH|@cat:"default.css"}
-{/if}
-
-{* <!-- stylish for non core themes (should be removed when all themes are updated) --> *}
-{if $themeconf.name != 'clear' and $themeconf.name != 'dark' and $themeconf.name != 'elegant' and $themeconf.name != 'Sylvia'}
+{* <!-- stylish for themes missing .switchBox styles --> *
+{if $THEME_SWITCH_LOAD_STYLE}
 {combine_css path=$THEME_SWITCH_PATH|@cat:"style.css"}
 {/if}